#!/usr/bin/env python3


name = "roadmap"
template = "roadmap/roadmap.html"


def prepare_render(self, request):
    # for status, "P" is for "in progress" and "C" for "Completed". It is case
    # insensitive.
    request.template_data["milestones"] = [
        {
            "title": "One-on-One Audio/Video Calls",
            "release_number": "0.9",
            "description": "Enable one-on-one audio/video calls and desktop sharing.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Modern Package Manager Integration",
            "release_number": "0.9",
            "description": "Integrate Hatch as the primary package manager for application installation.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Personal Calendar Events",
            "release_number": "0.9",
            "description": "Refine the event creation interface for increased usability and introduce a dedicated view for personal agenda management.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Web-Based Chat Interface",
            "release_number": "0.9",
            "description": "Develop a cutting-edge chat interface in the web frontend.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Stabilization of ActivityPub ⬌ XMPP Gateway",
            "release_number": "0.9",
            "description": "Ensure the stability of the ActivityPub ⬌ XMPP Gateway, making it suitable for production use.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Web Notifications and Desktop Integration",
            "release_number": "0.9",
            "description": "Implement notifications on the web frontend for essential updates such as important messages, mentions, new comments, etc., along with desktop integration for these alerts.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "Web Push Implementation",
            "release_number": "0.9",
            "description": "Integrate web push functionality for real-time updates.",
            "status": "",
            "estimation": "Q1 2024",
        },
        {
            "title": "API/Plugin Stabilization for Bridge",
            "release_number": "0.9",
            "description": "Improve the third-party plugin development experience by refactoring the module hierarchy, stabilizing the API, and providing detailed documentation.",
            "status": "P",
            "estimation": "Q4 2023",
        },
        {
            "title": "Easy Installation Image Updates",
            "release_number": "0.9",
            "description": "Update and fix installation images for Flatpak and Docker.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "Self-Resetting Demo",
            "release_number": "0.9",
            "description": "Set up a demo on the official website, encapsulated in a Docker container. This demo, designed for isolated testing, will reset itself every few hours, with federation deactivated to confine user interactions within the instance.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "Testing Instance Creation",
            "release_number": "0.9",
            "description": "Create a testing instance for Libervia. This will initially be invitation only.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "List Customization Features",
            "release_number": "0.9",
            "description": "Develop a feature to easily create or modify list templates.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "Group Audio/Video Calls",
            "release_number": "0.10",
            "description": "Enable group audio/video calls and facilitate shared desktop sessions.",
            "status": "",
            "estimation": "Q4 2023",
        },
        {
            "title": "Code Forge Enhancements",
            "description": "Expand the existing ticketing and merge request system with a user-friendly code browser and a mechanism to clone repositories.",
            "status": "",
        },
        {
            "title": "Task Automation Features",
            "description": "Introduce a user-friendly mechanism to automate various tasks such as triggering actions on PubSub events.",
            "status": "",
        },
        {
            "title": "Email Gateway Integration",
            "description": "Develop a gateway to send and receive emails, and to use mailing lists as XMPP blogs.",
            "status": "",
        },
        {
            "title": "Oxidation",
            "description": "Port critical sections of the project to Rust for enhanced performance, reduced resource consumption, improved safety, and increased portability, while maintaining maximum compatibility with Python.",
            "status": "",
        },
    ]
